namespace bitforum.Models
{
    // 역할 정보
    public record Role(string Name, int Level, string Description);

    // 역할 설정
    public class RoleData
    {
        public List<Role> Roles()
        {
            return new List<Role>
            {
                new Role("Admin", 1, "최고관리자"),
                new Role("Manager", 2, "관리자"),
                new Role("Staff", 3, "운영자"),
                new Role("Viewer", 4, "보기만 가능")
            };
        }
    }
}
